State (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.cache.query.data

## Class State

- java.lang.Object
- - org.apache.geode.cache.query.data.State

- All Implemented Interfaces:
    java.io.Serializable

      public class State
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Set` | `districts`
    `java.lang.String` | `name`
    `java.lang.String` | `zone`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `State(int i, java.util.Set districts)`
    `State(java.lang.String name, java.lang.String zone, java.util.Set districts)` Creates a new instance of State

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set` | `getDistricts()`
    `java.util.Set` | `getDistrictsWithSameName(District dist)`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getZone()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.lang.String name

    - #### zone

          public java.lang.String zone

    - #### districts

          public java.util.Set districts

  - ### Constructor Detail

    - #### State

          public State(java.lang.String name,
                       java.lang.String zone,
                       java.util.Set districts)

      Creates a new instance of State

    - #### State

          public State(int i,
                       java.util.Set districts)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getZone

          public java.lang.String getZone()

    - #### getDistricts

          public java.util.Set getDistricts()

    - #### getDistrictsWithSameName

          public java.util.Set getDistrictsWithSameName(District dist)